osx Makefile build problem

Hi.

I have tried to build an 0.8.0 example project with the new makefile included with it.
It compiled and built:

=========
TARGET=bin/3DPrimitivesExample

compiling done
to launch the application

cd bin/3DPrimitivesExample.app/Contents/MacOS/
./3DPrimitivesExample

  • or -

make run

But after trying to launch it, it crashes:

=========
sk$ cd bin/3DPrimitivesExample.app/Contents/MacOS/
sks-MacBook-Air:MacOS sk$ ./3DPrimitivesExample
Illegal instruction: 4

I have OSX10.7.5
Have anybody else tested it successfully on 10.7.5? Does it work on other OSX versions?

I had the same problem with 10.7.5. The problem comes from the linking:

  
c++ -o bin/shaderExample obj/osx/Release/src/main.o obj/osx/Release/src/testApp.o    
../../../libs/openFrameworksCompiled/lib/osx/libopenFrameworks.a   -arch i386 -F../../../libs/glut/lib/osx/   
-mmacosx-version-min=10.8 -framework Accelerate -framework QTKit -framework GLUT -framework AGL   
-framework ApplicationServices -framework AudioToolbox -framework Carbon -framework CoreAudio  
 -framework CoreFoundation -framework CoreServices -framework OpenGL -framework QuickTime   
-framework IOKit -framework Cocoa -framework CoreVideo ../../../libs/FreeImage/lib/osx/freeimage.a   
../../../libs/assimp/lib/osx/assimp.a ../../../libs/cairo/lib/osx/cairo-script-interpreter.a ../../../libs/cairo/lib/osx/cairo.a   
../../../libs/cairo/lib/osx/pixman-1.a ../../../libs/freetype/lib/osx/freetype.a ../../../libs/glew/lib/osx/glew.a   
../../../libs/glfw/lib/osx/libglfw3.a ../../../libs/openssl/lib/osx/crypto.a ../../../libs/openssl/lib/osx/ssl.a   
../../../libs/poco/lib/osx/PocoCrypto.a ../../../libs/poco/lib/osx/PocoData.a ../../../libs/poco/lib/osx/PocoDataODBC.a   
../../../libs/poco/lib/osx/PocoDataSQLite.a ../../../libs/poco/lib/osx/PocoFoundation.a ../../../libs/poco/lib/osx/PocoNet.a   
../../../libs/poco/lib/osx/PocoNetSSL.a ../../../libs/poco/lib/osx/PocoUtil.a ../../../libs/poco/lib/osx/PocoXML.a   
../../../libs/poco/lib/osx/PocoZip.a ../../../libs/rtAudio/lib/osx/rtAudio.a ../../../libs/tess2/lib/osx/tess2.a    
../../../libs/fmodex/lib/osx/libfmodex.dylib  -lobjc  

When I changed -mmacosx-version-min=10.8 to -mmacosx-version-min=10.7 , I could successfully run the binary.